---
updatedAt: 2026-06-10T10:25:01.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Introduction

The Token Price API gives you the price of a specific token in a given chain. It's useful for checking how prices changed over time, which is important for knowing if you're making good investment choices. It is also perfect for compliance, reconciliation, and auditing for finance processes.

## Authentication

You can authenticate your request by using your API Key either as a:

* Query parameter (`?apiKey=<YOUR_API_KEY>`)

or

* Header (`X-API-Key: <YOUR_API_KEY>`)

> 📘 Info:
>
> Refer to the [Authenticate Your API Requests](https://docs.blockdaemon.com/docs/authentication) page for more details.

## Supported Protocols and Networks

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Protocol
      </th>

      <th>
        Network
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Arbitrum 
      </td>

      <td>
        Nova  

        One
      </td>
    </tr>

    <tr>
      <td>
        Avalanche C-Chain
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Base
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Bitcoin
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        BNB
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Canton
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Ethereum
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Hoodi
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Kaia
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Optimism
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Polkadot
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Polygon
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Solana
      </td>

      <td>
        Mainnet  

        Testnet
      </td>
    </tr>

    <tr>
      <td>
        Stellar
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        Tron
      </td>

      <td>
        Mainnet
      </td>
    </tr>

    <tr>
      <td>
        XRP
      </td>

      <td>
        Mainnet
      </td>
    </tr>
  </tbody>
</Table>

## Available Endpoints

All data will be accessible through the following API endpoints:

| Endpoint                                                                                                     |                                                                                                                                                         |
| :----------------------------------------------------------------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [Get Chains](https://docs.blockdaemon.com/reference/getchains-pricing) - `GET /allowed_chains`               | Returns an array of supported chains and their corresponding protocol, network, and unique chain ID.                                                    |
| [Get Tokens](https://docs.blockdaemon.com/reference/gettokens-pricing) - `GET /allowed_tokens/` `{chain_id}` | Returns metadata about all tokens available for pricing on a given chain. You can optionally filter the results by token symbols or contract addresses. |
| [Get Price](https://docs.blockdaemon.com/reference/getquotes-pricing) - `POST /quotes/` `{chain_id}`         | Returns token prices on a given chain. Token addresses must be provided, and you can specify one or more currencies.                                    |

## 👋 Need Help?

Contact us through [email](mailto:support@blockdaemon.com) or our [support page](https://www.blockdaemon.com/support) for any issues, bugs, or assistance you may need.